import request from '@/utils/request';

// 家装客资-查询当前用户是否存在家装客资分配权限
export function selectAllocationPermission(query) {
  return request({
    url: 'mobile/customerClueInfo/selectAllocationPermission',
    method: 'get',
    params: query,
  });
}

// 设置用户的拍照方式
export function setPhotoMethod(query) {
  return request({
    url: '/mobile/setPhotoMethod',
    method: 'get',
    params: query,
  });
}

export function writeAgainCustomAnswer(data) {
  return request({
    url: '/mobile/summaryMobile/writeAgainCustomAnswer',
    method: 'post',
    data,
  });
}

// 切换经销商身份接口
export function switchChainIdentity(query) {
  return request({
    url: '/mobile/switchChainIdentity',
    method: 'get',
    params: query,
  });
}
